<?php
declare(strict_types=1);

namespace Inti\Redis;

use Redis;

/**
 * Class ConfigProvider
 *
 * @package Inti\Redis
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-redis
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'redis' => [
                'host' => '/run/redis/redis.sock',
                'db' => null,
            ],

            'dependencies' => [
                'factories' => [
                    Redis::class => Container\RedisFactory::class,
                ],
            ],
        ];
    }
}
